LU65 with 4.1U Firmware Softmoddign help please

Discussion in 'Wii - Hacking' started by HellFireXS, Jul 30, 2009.

Jul 30, 2009
  1. HellFireXS
    OP

    Newcomer HellFireXS Advanced Member

    Joined:
    Jul 30, 2009
    Messages:
    96
    Location:
    British Columbia
    Country:
    Canada
    Hello, I am looking for a little help on some soft modding; I recently bought a new Wii (LU65 with 4.1U Firmware).

    I have done some modding on an older Wii, got the Homebrew channel working and downgraded an IOS so Gecko could load channels.

    I haven't started on the new Wii yet but what I would like is

    -Home Brew channel (Should be easy)

    -Bootmii (IOS version I assume as I doubt it will go to boot2 on a brand new Wii)

    -Preloader (Possible? I hear the new Wii's can't use it but this guy made something that could work http://www.digitalworldz.co.uk/211779-ios3...-preloader.html )

    I am pretty sure I can get the Home Brew Channel and Bootmii on there, but I don't know about the Preloader is there a way? I would love some brick protection.

    If I can get that working then I can go on with the riskier things like a WAD installer/manager (what are the risks if I can't get Preloader working?)

    I have a WAD Installer app for Home Brew Channel so I just need to know if it will work with 4.1/LU65 or brick my Wii.

    Any help would be appreciated.
     
  2. Szalkow

    Member Szalkow RawkSD Cheerleader

    Joined:
    Jul 9, 2009
    Messages:
    673
    Location:
    Uni
    Country:
    United States
    I'm lazy, so I'll reference beegee7730's helpful post for a similar situation.

    I believe if you get trucha bug restorer and then the cIOS to work, you're good to go. The only considerations for a LU64 Wii are that you can't install boot2 BootMii, and you cannot install older IOSes ever. You might still be able to install current IOSes with trucha patching, not sure.

    This thread should also guide you through installing Preloader 0.29 on your LU65. Good luck.
     
  3. HellFireXS
    OP

    Newcomer HellFireXS Advanced Member

    Joined:
    Jul 30, 2009
    Messages:
    96
    Location:
    British Columbia
    Country:
    Canada

    I do appreciate the help, but I have a few questions, like what exactly do steps 7, 8 and 9 do? Is that what is required to install WAD files? Why do I need to get the "cIOS" to work? What is that for?

    I did know I couldn't use boot2 with Bootmii.
     
  4. HellFireXS
    OP

    Newcomer HellFireXS Advanced Member

    Joined:
    Jul 30, 2009
    Messages:
    96
    Location:
    British Columbia
    Country:
    Canada
    Oops, double post [​IMG]
     
  5. Szalkow

    Member Szalkow RawkSD Cheerleader

    Joined:
    Jul 9, 2009
    Messages:
    673
    Location:
    Uni
    Country:
    United States
    The Trucha bug restorer will patch your IOSes to make them trucha-enabled - almost all homebrew that modifies the NAND (wads, installers, etc) require the trucha bug to install anything.

    A cIOS is a custom IOS which is required to run many of the more powerful apps such as backup loaders, disc dumpers, theme installers, and more. It doesn't hurt to have it and it makes life much easier when homebrewing. Not all wad managers or wads require a cIOS to be installed, but some do. Trust me, you'll want it.

    Installing old IOSes is only useful for enabling trucha signing and for specific backdoors that some installers will use. You shouldn't need it if you are able to run trucha bug restorer and have a cIOS installed.
     
  6. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    Yea he didn't really explain what to do with that he just told you the setup basically.

    Follow this video to use the Trucha Bug Restorer:
    http://www.youtube.com/watch?v=ltrd3oq8hPc...re=channel_page

    If you follow the video you should downgrade IOS15, use IOS15 to install an IOS36 with the trucha bug, and then restore IOS15.

    Once you do that you will be able to run the cIOS rev14 installer using IOS36 (as that now has the trucha bug) and you should also be able to install preloader depending on what you said yes to on the IOS36 install in the TBR.

    Edit: Also Wad installer is pretty old I think, use Wad manager 1.4 or 1.5 instead to install any VC/channel wad's and such. Just have it use IOS249 after you install your cIOS.
     
  7. HellFireXS
    OP

    Newcomer HellFireXS Advanced Member

    Joined:
    Jul 30, 2009
    Messages:
    96
    Location:
    British Columbia
    Country:
    Canada
    Thank you both, I think I understand now

    A question though, the step by step post says I need a folder called "Wads" but other websites say I need one called "Wad", just so I am clear, which is it please?

    Oh and I watched that video, what should I say yes to for the Preloader? All 3?

    And finally, doing it this way (with the Trucha Bug) do I still have to follow Scarfish's tutorial or that some thing different?
     
  8. icebrg5

    Member icebrg5 GBAtemp Addict

    Joined:
    Apr 1, 2007
    Messages:
    2,326
    Country:
    United States
    Needs to be Wad
     
  9. nabster92

    Member nabster92 GBAtemp Advanced Maniac

    Joined:
    Apr 16, 2009
    Messages:
    1,631
    Country:
    United States
    "WAD"

    I think you just need the first two, but doing all 3 shouldn't hurt anything.

    I don't think so, TBR should already do enough to IOS36 to allow preloader to install normally.
     

Share This Page